/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 


package servidor.utiles;

import java.io.File;
import java.util.logging.FileHandler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

import javax.swing.JOptionPane;

import servidor.*;

public class Global {
   

   public static int numMonitoresNecesarios = 0;
   
   private static java.text.NumberFormat nf;
   public static Logger log;
   public static servidor.datos.TablaPuestos tablaPuestos;
   public static boolean modoDepuracion = true; 
   public static String passwordServidorSql = "oenetA";

   static {
	  nf = java.text.NumberFormat.getInstance();
	  nf.setGroupingUsed(false);
	  nf.setMinimumIntegerDigits(3);
   }
   
   public static String[] split(String s, char sep) {
	  java.util.ArrayList array = new java.util.ArrayList();
	  int comi = 0;
	  for(int i=0;i<s.length();i++) {
		 if(s.charAt(i) == sep) {
			array.add( s.substring(comi, i));
			comi = i + 1;
		 }
	  }
	  if(comi < s.length()) {
		 array.add(s.substring(comi));
	  }
	  
	  String[] res = new String[array.size()];
	  return (String[])array.toArray(res);
   }
   
   public static String formateaCodigo(int codigo) {
	  return nf.format(codigo);
   }
   
   public static void sleep(int miliseg) {
	  try {
		 Thread.sleep(miliseg);
	  } catch(Exception exc) {}
   }
   
   public static String btos(boolean v) {
      if(v) return "1";
      return "0";
   }
   
   public static void mensajeDep(String s) {
       if(modoDepuracion) {
           System.out.println(s);
       }
   }
   public static void prepararLogging() {
       try {
           File logdir = new File("logs\\");
           if(!logdir.exists()) {
               logdir.mkdir();
           }
           log = Logger.getLogger("Logger");
           FileHandler fh = new FileHandler("logs\\servidor.log", 10000, 10);
           fh.setFormatter(new SimpleFormatter());
           log.addHandler(fh);
           log.setLevel(Level.FINEST);
       } catch(Exception exc) {
           JOptionPane.showMessageDialog(null, "No se ha podido iniciar el proceso de LOG");
           System.exit(-1);
       }
   }
}
